Bug 41173 - Folder name "Eigene Shares" not configurable
Folder name "Eigene Shares" not configurable
Status: CLOSED FIXED
Product: UCS@school
Classification: Unclassified
Component: Netlogon scripts
UCS@school 4.0 R2
Other Linux
: P5 normal (vote)
: UCS@school 4.1 R2 vXXX
Assigned To: Daniel Tröder
Florian Best
: interim-2
Depends on:
Blocks: 41231 42818
  Show dependency treegraph
 
Reported: 2016-04-28 17:32 CEST by Jan Christoph Ebersbach
Modified: 2016-11-10 16:00 CET (History)
2 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 2: Improvement: Would be a product improvement
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 1: Nuisance – not a big deal but noticeable
User Pain: 0.023
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): External feedback, Internationalization
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Christoph Ebersbach univentionstaff 2016-04-28 17:32:11 CEST
Multiple UCS@school customers (http://forum.univention.de/viewtopic.php?f=59&t=5724) requested a change of the folder name that holds links to the shares that belong to pupils and teachers.

Currently, this string is hard coded to "Eigene Shares" (file ucs-school-user-logonscript.py).
Comment 1 Florian Best univentionstaff 2016-04-29 09:12:46 CEST
We got this also twice reported via feedback@-mail.
Comment 2 Florian Best univentionstaff 2016-05-02 11:03:57 CEST
"DC-Verwaltungsnetz" is also hardcoded.
Comment 3 Florian Best univentionstaff 2016-05-02 16:34:51 CEST
"cn=klassen" for groups and shares is also hardcoded.
Comment 4 Sönke Schwardt-Krummrich univentionstaff 2016-07-07 23:28:56 CEST
(In reply to Florian Best from comment #2)
> "DC-Verwaltungsnetz" is also hardcoded.
[…]
> "cn=klassen" for groups and shares is also hardcoded.

Handled via bug 41231
Comment 5 Daniel Tröder univentionstaff 2016-08-02 15:57:42 CEST
Added UCRV ucsschool/userlogon/shares_foldername in r71356.
Comment 6 Florian Best univentionstaff 2016-10-31 16:36:09 CET
I am not satisfied with the UCR variable description:

Description[de]=Name des Verzeichnisses das Links zu Laufwerken des Benutzers enthält (Standard: "Eigene Shares"). Wenn verändert, müssen alle logon Skripte neu geschrieben werden: "invoke-rc.d univention-directory-listener restart; univention-directory-listener-ctrl resync ucs-school-user-logonscript"
Description[en]=Name of the directory containing links to the users shares (default: "Eigene Shares"). If changed, all logon scripts must be rewritten: "invoke-rc.d univention-directory-listener restart; univention-directory-listener-ctrl resync ucs-school-user-logonscript"

I don't think a UCR variable should contain instructions how to restart and resync a listener module. Please remove that sentence completely.

"""Name des Verzeichnisses das Links zu Laufwerken des Benutzers enthält."""
At least a "," is missing.

Maybe something like the following:
"Name für das Verzeichnis auf dem Desktop, das Links zu Benutzerfreigaben enthält."
@Sönke please have a look.
Comment 7 Florian Best univentionstaff 2016-10-31 19:21:01 CET
REOPEN: Since the variable is not hardcoded anymore it needs to be escaped:
ucr set ucsschool/userlogon/shares_foldername='Meine "Shares'
→ This would break all scripts.

What about the following scripts? They are using the old name:
/var/lib/samba/sysvol/school.local/scripts/user/Administrator.vbs
/var/lib/samba/sysvol/school.local/scripts/user/http-proxy-xen8.vbs
/var/lib/samba/sysvol/school.local/scripts/user/join-backup.vbs
/var/lib/samba/sysvol/school.local/scripts/user/join-slave.vbs
Comment 8 Daniel Tröder univentionstaff 2016-11-02 10:47:21 CET
(In reply to Florian Best from comment #6)
> I am not satisfied with the UCR variable description:
> 
> Description[de]=Name des Verzeichnisses das Links zu Laufwerken des
> Benutzers enthält (Standard: "Eigene Shares"). Wenn verändert, müssen alle
> logon Skripte neu geschrieben werden: "invoke-rc.d
> univention-directory-listener restart; univention-directory-listener-ctrl
> resync ucs-school-user-logonscript"
> Description[en]=Name of the directory containing links to the users shares
> (default: "Eigene Shares"). If changed, all logon scripts must be rewritten:
> "invoke-rc.d univention-directory-listener restart;
> univention-directory-listener-ctrl resync ucs-school-user-logonscript"
> 
> I don't think a UCR variable should contain instructions how to restart and
> resync a listener module. Please remove that sentence completely.
Ah yes - it should be only in the advisory. Done.

> """Name des Verzeichnisses das Links zu Laufwerken des Benutzers enthält."""
> At least a "," is missing.
> 
> Maybe something like the following:
> "Name für das Verzeichnis auf dem Desktop, das Links zu Benutzerfreigaben
> enthält."
Done.

(In reply to Florian Best from comment #7)
> REOPEN: Since the variable is not hardcoded anymore it needs to be escaped:
> ucr set ucsschool/userlogon/shares_foldername='Meine "Shares'
> → This would break all scripts.
Done (only double quotes must be escaped).

> What about the following scripts? They are using the old name:
> /var/lib/samba/sysvol/school.local/scripts/user/Administrator.vbs
> /var/lib/samba/sysvol/school.local/scripts/user/http-proxy-xen8.vbs
> /var/lib/samba/sysvol/school.local/scripts/user/join-backup.vbs
> /var/lib/samba/sysvol/school.local/scripts/user/join-slave.vbs
They can be regenerated by resyncing the listener module.

r74013: UCRVs, escaping
r74014: advisory: build#
Comment 9 Daniel Tröder univentionstaff 2016-11-02 18:02:08 CET
r74032: All of the following characters are not supported in file/directory names, and are now stripped from the folder name: \/:*?"<>|
r74033: advisory update
Comment 10 Florian Best univentionstaff 2016-11-02 18:16:11 CET
OK: name is changeable via UCR
OK: UCRV description (de|en)
OK: escaping works now
OK: YAML (adjusted in r74034)

~ The script still fails if I e.g. set:
ucr set ucsschool/userlogon/shares_foldername='"?:*'
Comment 11 Sönke Schwardt-Krummrich univentionstaff 2016-11-10 16:00:46 CET
UCS@school 4.1 R2 v7 has been released.

http://docs.software-univention.de/changelog-ucsschool-4.1R2v7-de.html

If this error occurs again, please clone this bug.